INTERFACE
SUBROUTINE GPHLUVAD(&
 & KPROMA,KSTART,KPROF,PUT5,PVT5,PWW5,PWW0,PUT0,PVT0,&
 & PLHU0,PLHV0) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PUT5(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT5(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWW5(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWW0(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHU0(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHV0(KPROMA,0:NFLEVG)
END SUBROUTINE GPHLUVAD
END INTERFACE
